[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TLongBoolHelper.TryToParse

Try to convert a string to a LongBool value

## Declaration

Source position: syshelph.inc line 676

`public class function TLongBoolHelper.TryToParse(`
`const S: string;`
`out AValue: Boolean`
`):Boolean;`

## Description

TryToParse will attempt to convert the string S to a LongBool value. If the attempt is successful, True is returned, and the actual value is returned in AValue. If the attempt failed, False is returned.

## See also

TLongBoolHelper.Parse |  | Convert string value to LongBool value.
TLongBoolHelper.ToString |  | Convert a LongBool value to string.